> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superdash.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Paragraph

> Delete a paragraph from the knowledge base

### Authorizations

<ParamField header="x-api-key" type="string" required>
  API Key associated with the workspace
</ParamField>

### Path Parameters

<ParamField path="workspaceId" type="string" required>
  UUID associated with the Workspace
</ParamField>

<ParamField path="kbId" type="string" required>
  UUID of the Knowledge base
</ParamField>

<ParamField path="paragraphKey" type="string" required>
  The `Key` of the Paragraph
</ParamField>

### Response

<ResponseExample>
  ```json 200 theme={null}
  {
      msg: "Paragraph deleted successfully"
  }
  ```

  ```json 400 theme={null}
  {
      msg: "Knowledge base does not exist"
  }
  ```

  ```json 401 theme={null}
  {
      message: "Api key is not valid"
  }
  ```

  ```json 500 theme={null}
  {
      msg: "Internal Server Error"
  }
  ```
</ResponseExample>
